Update Global Abandoned Cart Settings
Update the global abandoned cart settings of a store.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Information & Settings | read-only | `store_v2_information_read_only`|
| Information & Settings | modify | `store_v2_information` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects an object.
email_customer_until_cart_is_recovered
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered
email_merchant_when_cart_is_abandoned
Indicates whether or not a merchant should receive a notification email when a cart is abandoned
email_merchant_when_cart_is_converted
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order
enable_notification
Indicates whether or not abandoned cart notification is on
marketing_emails_require_customer_consent
Indicates whether or not a customer should receive abandoned cart emails based on their consent. By default customers will not receive emails
merchant_abandoned_cart_digest_email_frequency
The number of abandoned carts to accumulate before a digest email is sent to a merchant
merchant_abandoned_cart_email_frequency_type
Indicates whether to send an email for every abandoned cart, or to send a digest email after X number of abandoned carts
Allowed values:
merchant_email_address
The email address for receiving merchant notifications
Response
OK
data
Represents all settings related to the abandoned cart functionality of a store
meta
Response metadata
Errors
401
Unauthorized Error
422
Unprocessable Entity Error